For a better experience, click the Compatibility Mode icon above to turn off Compatibility Mode, which is only for viewing older websites.

TECH ALERT: Delay Upgrading to macOS High Sierra

September 26, 2017

Users of Drexel-owned Macs should refrain from updating to macOS High Sierra, which breaks critical Drexel software and systems—including Sophos SafeGuard, our data encryption and security software.

When an operating system is updated, some applications break and need to be updated to regain their compatibility. This is the case with the macOS High Sierra update, which Apple released on Monday, September 25. We strongly recommend that faculty and professional staff DO NOT upgrade any Drexel-owned Macs running Sophos SafeGuard to High Sierra.

 More information to follow shortly.